public class UploadStreamByURLRequest
extends com.aliyun.tea.TeaModel
| 限定符和类型 | 字段和说明 |
|---|---|
String |
definition
The quality of the video stream.
|
String |
fileExtension
The file name extension of the transcoded stream.
|
String |
HDRType
The HDR type of the transcoded stream.
|
String |
mediaId
The media ID in ApsaraVideo VOD.
|
String |
streamURL
The URL of the transcoded stream.
|
String |
userData
The user-defined parameter.
|
| 构造器和说明 |
|---|
UploadStreamByURLRequest() |
| 限定符和类型 | 方法和说明 |
|---|---|
static UploadStreamByURLRequest |
build(Map<String,?> map) |
String |
getDefinition() |
String |
getFileExtension() |
String |
getHDRType() |
String |
getMediaId() |
String |
getStreamURL() |
String |
getUserData() |
UploadStreamByURLRequest |
setDefinition(String definition) |
UploadStreamByURLRequest |
setFileExtension(String fileExtension) |
UploadStreamByURLRequest |
setHDRType(String HDRType) |
UploadStreamByURLRequest |
setMediaId(String mediaId) |
UploadStreamByURLRequest |
setStreamURL(String streamURL) |
UploadStreamByURLRequest |
setUserData(String userData) |
@NameInMap(value="Definition") public String definition
The quality of the video stream.
For more information about valid values of this parameter, see [Parameters for media assets](~~124671~~).
@NameInMap(value="FileExtension") public String fileExtension
The file name extension of the transcoded stream.
For more information, see the Supported media file formats section in [Overview](~~55396~~).
If you set a value for this parameter, the file name extension specified in StreamURL is overwritten.
> This parameter is required if you do not specify a file name extension in StreamURL.
@NameInMap(value="HDRType") public String HDRType
The HDR type of the transcoded stream. Valid values:
* HDR
* HDR10
* HLG
* DolbyVision
* HDRVivid
* SDR+
>
* The HDR type of the transcoded stream is not case-sensitive.
* You can leave this parameter empty for non-HDR streams.
@NameInMap(value="MediaId") public String mediaId
The media ID in ApsaraVideo VOD.
@NameInMap(value="StreamURL") public String streamURL
The URL of the transcoded stream.
If URL authentication is required, you must pass authentication information in this parameter and make sure that the URL can be accessed over the Internet.
@NameInMap(value="UserData") public String userData
The user-defined parameter. For more information, see the "UserData: specifies the custom configurations for media upload" section of the [Request parameters](~~86952~~) topic.
> The callback configurations you specify for this parameter take effect only after you specify the HTTP callback URL and select specific callback events in the ApsaraVideo VOD console. For more information about how to configure HTTP callback settings in the ApsaraVideo VOD console, see [Configure callback settings](~~86071~~).
public static UploadStreamByURLRequest build(Map<String,?> map) throws Exception
Exceptionpublic UploadStreamByURLRequest setDefinition(String definition)
public String getDefinition()
public UploadStreamByURLRequest setFileExtension(String fileExtension)
public String getFileExtension()
public UploadStreamByURLRequest setHDRType(String HDRType)
public String getHDRType()
public UploadStreamByURLRequest setMediaId(String mediaId)
public String getMediaId()
public UploadStreamByURLRequest setStreamURL(String streamURL)
public String getStreamURL()
public UploadStreamByURLRequest setUserData(String userData)
public String getUserData()
Copyright © 2024. All rights reserved.